<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
IGAC proyecto SNC
@author			fredy.wilches
@modifiedBy		fabio.navarrete, juan.agudelo, felipe.cadena, juanfelipe.garcia
@version 		2.0
@description	Pantalla que muestra el detalle de una solicitud de nuevo documento 
@cu 			CU-CO-R-01

@param			managedBeanParam:		Nombre del ManagedBean del que se obtendran los parametros 
@param			selectedDocumentParam: 	Objeto del tipo documento que se adicionara a la lista de 
                                        documentos adicionales solicitados
@param			banderaEdicionParam:    Bandera de edicion de documentos		
@param			updateFormParam:		Forma contenedora a actualizar.	
@param			mostrarDetallesParam:		Permite editar los detalles y el número de folios
@param                  mostrarBotonEliminarParam:      Permite activar el boton eliminar documento
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="1" width="100%">

    <h:panelGrid columns="1" style="margin:0 auto;" width="100%">
        <style>
            .fileinput-button { overflow: visible; }
        </style>
        <p:messages id="msgsDoc" />

        <h:form id="documentacionReemForm2" enctype="multipart/form-data">

            <h:panelGrid columns="4" cellspacing="7"  
                         columnClasses="colPequena, colGrande">

                <h:outputLabel value="Documento soporte: "
                               styleClass="outputLabelStyle" />

                <p:fileUpload id="fileDocument" label="Cargar documento"
                              fileUploadListener="#{managedBeanParam.archivoUploadTemp}"
                              dragDropSupport="true" immediate="true"
                              invalidFileMessage="Formato de documento no permitido"
                              widgetVar="uploader" mode="advanced" auto="true" 
                              allowTypes="/(\.|\/)(pdf|dwg|tif|png|jp[e]?g)$/"
                              sizeLimit="#{general.maximoTamanoAdjuntos}" update=":msgsDoc, :documentacionReemForm, :documentacionReemForm2"
                              onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />

                <p:commandButton
                    value="Eliminar documento"
                    rendered="#{mostrarBotonEliminarParam}"
                    update=":msgsDoc, :documentacionReemForm"
                    title="Eliminar documento"
                    action="#{managedBeanParam.eliminarDocumentoSoporte}"
                    id="btnEliminarDocumento" ajax="true" immediate="true">

                </p:commandButton>


            </h:panelGrid>
        </h:form>
        <p:spacer height="25"/>

        <p:separator />

        <h:form id="documentacionReemForm">
            <p:spacer height="15"/>
            <h:panelGrid columns="2" width="100%"  columnClasses="colPequena, colGrande">

                <h:panelGrid columns="2"  rendered="#{mostrarDetallesParam}">
                    <h:outputLabel value="Cantidad de folios:" for="folios"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2"  rendered="#{mostrarDetallesParam}">
                    <h:inputText id="folios"
                                 value="#{selectedDocumentParam.cantidadFolios}" required="true"
                                 label="Cantidad de folios" >
                        <f:validateLongRange minimum="1"/>
                    </h:inputText>
                    <p:message for="folios" display="icon"></p:message>
                </h:panelGrid>

                <h:panelGrid columns="3"  rendered="#{mostrarDetallesParam}">
                    <h:outputLabel value="Detalle:" for="detalle"
                                   styleClass="outputLabelStyle" />

                </h:panelGrid>
                <h:inputTextarea id="detalle" label="Detalle"
                                 rendered="#{mostrarDetallesParam}"
                                 onkeydown="controlarNroChars(this, 2000, true)"
                                 onkeyup="controlarNroChars(this, 2000, true)"
                                 value="#{selectedDocumentParam.detalle}" cols="95" rows="1"
                                 style="width:'100%';"/>

                <p:spacer width="7" height="0" />
                <p:commandButton value="Aceptar" id="aceptarBtn"
                                 action="#{managedBeanParam.guardarDocumentacion}"
                                 update="#{updateFormParam}, :msgsDoc"
                                 disabled="#{!successUploadParam}"
                                 icon="ui-icon ui-icon-check" process="@form"
                                 onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide(); 
                                 handleCompleteSIC(xhr, status, args, reemplazarDocumentacionWV, false);" />

            </h:panelGrid>
        </h:form>

    </h:panelGrid>
</h:panelGrid>